/* ***********************************************************************
**
**  Copyright (C) 2002  Jesper Hansen <jesperh@telia.com> and 
**			Romuald Bialy (MIS) <romek_b@o2.pl>.
**
**
**  Yampp-7/USB - low level support library
**
**
*************************************************************************
**
**   This file is part of the yampp system.
**
**  This program is free software; you can redistribute it and/or
**  modify it under the terms of the GNU General Public License
**  as published by the Free Software Foundation; either version 2
**  of the License, or (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software Foundation, 
**  Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
**
*************************************************************************
**
**  Revision History
**
**  when         what  who	why
**
**  2002-09-22   1.0   MIS      initial public release
**
*********************************************************************** */

#ifndef LCD_H
#define LCD_H


#define LCD_ON	1
#define EEPROM_LANGTAB		0x010   // 20 bytes
#define EEPROM_LANGCHARS	0x028	// 20*6 = 120 bytes
#define EEPROM_LOGO		0x0AE	// 4*84 + 2 bytes


#ifndef LCD_ASM

 void lcd_init(u08 mode);		// LCD initialise
u08 lcd_logo(u08 line);			// Display Graphicall logo screen
 void lcd_off(void);			// LCD power down
 void lcd_invert(void);			// Set characters invert mode
 void lcd_normal(void);			// Set characters normal mode
 void lcd_contrast(u08 contr);		// Set LCD contrast (0x00 - 0x7F)
 void lcd_bar(u08 val, u08 len);	// Display progressbar on LCD
 void lcd_data(u08 data);		// Display ASCII char without offset
 void lcd_data_o(u08 data, u08 offset);	// Display ASCII char (with offset to chargen)
 void lcd_wrdata(u08 data);		// Send one data byte to LCD.


/* prototypes */
void lcd_gotoxy(u08 x, u08 y);
void lcd_clrscr(void);
void lcd_home(void);
void lcd_putchar(u08 data);
void lcd_puts(char s[]);
void lcd_progputs(char s[]);

#endif

#endif // ifndef LCD_H

